## org.omg.CORBA
Class ConstantDefPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.ConstantDefPOA

All Implemented Interfaces:
  ConstantDefOperations, ContainedOperations, InvokeHandler, IRObjectOperations

Direct Known Subclasses:
  ConstantDefPOATie

public abstract class ConstantDefPOA
extends Servant
implements ConstantDefOperations, InvokeHandler

A ConstantDef object defines a named constant.

Constructor Summary
`ConstantDefPOA()`

Method Summary
`java.lang.String[]` `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`ConstantDef` `_this()`
`ConstantDef` `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.ConstantDefOperations
`type_def, type_def, type, value, value`

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Constructor Detail

### ConstantDefPOA

    public ConstantDefPOA()

Method Detail

### _this

    public ConstantDef _this()

### _this

    public ConstantDef _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`